<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<ol class="nav flex-column">
  <ng-container *ngFor="let group of groupedRoutes | keyvalue; last as isLast">
    <li class="nav-item">
      <ol class="nav flex-column gap-1">
        <li
          *ngFor="let route of group.value; index as i"
          class="nav-item"
        >
          <sdm-stepper-item
            [activatedRouteSnapshot]="activatedRouteSnapshot"
            [route]="route"
            [parent]="group.key"
          ></sdm-stepper-item>
        </li>
      </ol>
    </li>
    <li *ngIf="!isLast" aria-hidden="true" class="nav-item">
      <div class="nav-link py-0">
        <hr class="my-1" />
      </div>
    </li>
  </ng-container>
</ol>
